Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinGDI.BITMAPINFOHEADER

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinGDI.BITMAPINFOHEADER

Enclosing interface:
  WinGDI

    public static class WinGDI.BITMAPINFOHEADER

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`short` | `biBitCount`
`int` | `biClrImportant`
`int` | `biClrUsed`
`int` | `biCompression`
`int` | `biHeight`
`short` | `biPlanes`
`int` | `biSize`
`int` | `biSizeImage`
`int` | `biWidth`
`int` | `biXPelsPerMeter`
`int` | `biYPelsPerMeter`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinGDI.BITMAPINFOHEADER()`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### biSize

    public int biSize

### biWidth

    public int biWidth

### biHeight

    public int biHeight

### biPlanes

    public short biPlanes

### biBitCount

    public short biBitCount

### biCompression

    public int biCompression

### biSizeImage

    public int biSizeImage

### biXPelsPerMeter

    public int biXPelsPerMeter

### biYPelsPerMeter

    public int biYPelsPerMeter

### biClrUsed

    public int biClrUsed

### biClrImportant

    public int biClrImportant

Constructor Detail

### WinGDI.BITMAPINFOHEADER

    public WinGDI.BITMAPINFOHEADER()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD